# Class CIM_OpaqueManagementDataOwner
extends CIM_AssociatedPrivilege

CIM_OpaqueManagementDataOwner describes ownership of opaque data by CIM_Identity instances. The definition of CIM_OpaqueManagementDataOwner as a subclass of CIM_AssociatedPrivilege represents the fact that the owner of opaque management data often has privileges to access it, but additionally is responsible for its existence and may have a storage quota against which it is applied. The definition of a distinct subclass facilitates discovery of the owning CIM_Identity instance.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_AssociatedPrivilege
|
+--CIM_OpaqueManagementDataOwner

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

CIM_OpaqueManagementDataOwner describes ownership of opaque data by CIM_Identity instances. The definition of CIM_OpaqueManagementDataOwner as a subclass of CIM_AssociatedPrivilege represents the fact that the owner of opaque management data often has privileges to access it, but additionally is responsible for its existence and may have a storage quota against which it is applied. The definition of a distinct subclass facilitates discovery of the owning CIM_Identity instance.

UMLPackagePath | string | CIM::User::OpaqueManagementData
Version | string | 2.22.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Subject | CIM_OpaqueManagementDataOwner | CIM_ManagedElement
Target | CIM_OpaqueManagementDataOwner | CIM_ManagedElement

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
PrivilegeGranted | boolean | CIM_AssociatedPrivilege
RepresentsAuthorizationRights | boolean | CIM_AssociatedPrivilege
UseKey | string | CIM_AssociatedPrivilege
Activities | uint16[] | CIM_AssociatedPrivilege
ActivityQualifiers | string[] | CIM_AssociatedPrivilege
QualifierFormats | uint16[] | CIM_AssociatedPrivilege

## Class Methods